<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yida.data.customForm.mapper.CoreCustomFormItemsMapper">

    <resultMap id="BaseResultMap" type="com.yida.data.common.core.entity.customform.CoreCustomFormItems">
        <id column="id" jdbcType="BIGINT" property="id"/>
        <result column="form_id" jdbcType="BIGINT" property="formId"/>
        <result column="item_type" jdbcType="VARCHAR" property="itemType"/>
        <result column="item_title" jdbcType="VARCHAR" property="itemTitle"/>
        <result column="item_sub_title" jdbcType="VARCHAR" property="itemSubTitle"/>
        <result column="needed" jdbcType="VARCHAR" property="needed"/>
        <result column="onlyed" jdbcType="VARCHAR" property="onlyed"/>
        <result column="input_width" jdbcType="INTEGER" property="inputWidth"/>
        <result column="input_height" jdbcType="INTEGER" property="inputHeight"/>
        <result column="input_min" jdbcType="INTEGER" property="inputMin"/>
        <result column="input_max" jdbcType="INTEGER" property="inputMax"/>
        <result column="input_placeholder" jdbcType="VARCHAR" property="inputPlaceholder"/>
        <result column="input_verify" jdbcType="INTEGER" property="inputVerify"/>
        <result column="default_value" jdbcType="VARCHAR" property="defaultValue"/>
        <result column="layout" jdbcType="INTEGER" property="layout"/>
        <result column="sort" jdbcType="INTEGER" property="sort"/>
        <result column="create_date" jdbcType="TIMESTAMP" property="createDate"/>
        <result column="update_date" jdbcType="TIMESTAMP" property="updateDate"/>
        <result column="create_id" jdbcType="BIGINT" property="createId"/>
        <result column="update_id" jdbcType="BIGINT" property="updateId"/>
        <result column="del_flag" jdbcType="TINYINT" property="delFlag"/>
    </resultMap>

</mapper>
